package cn.dankal.test.client.order.fallback;

import cn.dankal.test.client.order.OrderServiceClient;
import org.springframework.stereotype.Component;

/**
 * {@link OrderServiceClient,Component}
 * Order Service  服务降级
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/18
 */
@Component
public class OrderServiceClientFallback implements OrderServiceClient {

    @Override
    public String getOrderId(Long userId) {
        return "return from OrderServiceClientFallback:getOrderId:" + userId;
    }
}
